Zandronum Chat on our Discord Server Get the latest version: 3.1
Source Code

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0004021Zandronum[All Projects] Suggestionpublic2022-08-26 01:452022-09-14 14:50
Reporterarkore 
Assigned To 
PrioritynormalSeverityfeatureReproducibilityalways
StatusclosedResolutionno change required 
PlatformWindows 64-bitOSWindows 10OS Version1903
Product Version3.1 
Target VersionFixed in Version 
Summary0004021: update +FRIENDLY to "be truly like 'ally'", or add flags like +ALLY, or +NOFRIENDLYDMG and +NOFRIENDLYTHRUST
DescriptionMy railgun hurts my +FRIENDLY sentry in game of +sv_shootthroughallies 1 +sv_dontpushallies 1 +cooperative +teamdamage 0
Steps To Reproduce1. Create new folder: TEST
2. Copy zandronum and DOOM2.WAD to TEST
3. Download sample wad (above), and test.bat, and save to TEST
4. run test.bat
Additional InformationSee attached files: Chat Log.txt, TEST.wad, and TEST.bat
Attached Filestxt file icon Chat Log - 2022-08-25.txt [^] (11,930 bytes) 2022-08-26 01:45 [Show Content]
? file icon TEST.wad [^] (156,158 bytes) 2022-08-26 01:46
? file icon TEST.bat [^] (249 bytes) 2022-08-26 01:47

- Relationships

-  Notes
User avatar (0022326)
arkore (reporter)
2022-08-26 01:47

adding TEST.bat, or run command yourself:
zandronum.exe -iwad DOOM2.WAD -file TEST.wad +sv_shootthroughallies 1 +sv_dontpushallies 1 +cooperative +teamdamage 0 +sv_smartaim 2 +sv_maxlives 0 +map MAP01 +give chaingun +give rocketlauncher +give bfg9000 +give railgun2
User avatar (0022329)
Penguin (reporter)
2022-08-31 03:13

sv_shootthroughallies and sv_dontpushallies are player only flags.
Combine species with +MTHRUSPECIES to prevent railgun damage
User avatar (0022391)
arkore (reporter)
2022-09-11 09:25
edited on: 2022-09-11 09:26

Hey, I can solve this using DamageType and DamageFactor (and A_RailAttack) on the puff.

Also found someone saying that this was the puff's main purpose, here:https://forum.zdoom.org/viewtopic.php?p=361600&sid=a7a79c91c9b6d90a7e31cd70444700cd#p361600 [^]

So, the difference is basically:
BEFORE: A_RailAttack(1000, 0, 1, "00 FF 85", None, 0, 0, None, 0, 0, 8192, 35, 0.5, 0.5, None)
AFTER: A_RailAttack(1000, 0, 1, "00 FF 85", None, 0, 0, "Railgun2BulletPuff", 0, 0, 8192, 35, 0.5, 0.5, None)

ACTOR Railgun2BulletPuff : BulletPuff {
    DamageType "Player"
}

ACTOR SentryGun2 {
    DamageFactor "Player", 0
},

This is in addition to already having: Species "Player", +THRUSPECIES, etc.

In conclusion, I guess I didn't work hard enough to find solution, and thought there was an easier way (which +MTHRUSPECIES reminds me of). So, that's why I was surprised I had to setup a DamageType and use DamageFactor for it, because otherwise you could probably just set +MTHRUSPECIES (or equivalent (even +THRUSPECIES)) on puffs (which Zan. 3.1's new sv_shootthroughallies solves now), if you wanted to use Species "Player" on the sentry, for example. But, perhaps Species "Player" is a bad idea.

It's great that, with DamageType/DamageFactor, the Sentry could have multiple DamageFactor types specified, like: PlayerRailgun, PlayerRocket, ...

User avatar (0022397)
Kaminsky (developer)
2022-09-14 14:50

With Arkore's permission, this ticket will be closed since a solution to the issue described above was found.

Issue Community Support
This issue is already marked as resolved.
If you feel that is not the case, please reopen it and explain why.
Supporters: No one explicitly supports this issue yet.
Opponents: No one explicitly opposes this issue yet.

- Issue History
Date Modified Username Field Change
2022-08-26 01:45 arkore New Issue
2022-08-26 01:45 arkore File Added: Chat Log - 2022-08-25.txt
2022-08-26 01:46 arkore File Added: TEST.wad
2022-08-26 01:47 arkore File Added: TEST.bat
2022-08-26 01:47 arkore Note Added: 0022326
2022-08-31 03:13 Penguin Note Added: 0022329
2022-09-11 09:25 arkore Note Added: 0022391
2022-09-11 09:25 arkore Note Edited: 0022391 View Revisions
2022-09-11 09:26 arkore Note Edited: 0022391 View Revisions
2022-09-14 14:50 Kaminsky Note Added: 0022397
2022-09-14 14:50 Kaminsky Status new => closed
2022-09-14 14:50 Kaminsky Resolution open => no change required






Questions or other issues? Contact Us.

Links


Copyright © 2000 - 2022 MantisBT Team
Powered by Mantis Bugtracker